use axum::{routing::post, Router};

pub mod account_controller;
pub mod feedback_controller;

pub fn init() -> Router {
    Router::new()
        .route(
            "/account/google",
            post(account_controller::authenticate_google),
        )
        .route(
            "/account/sys",
            post(account_controller::authenticate_with_password),
        )
        .route(
            "/account/refresh-token", 
            post(account_controller::refresh_token)
        )
        .route(
            "/feedback",
            post(feedback_controller::add_feedback)
                .get(feedback_controller::get_feedback_list_by_page)
        )
}